## gdk-pixbuf 2.40.0+dfsg

=== meson_options.txt ===
option('png',
       description: 'Enable PNG loader (requires libpng)',
       type: 'boolean',
       value: true)
option('tiff',
       description: 'Enable TIFF loader (requires libtiff), disabled on Windows if "native_windows_loaders" is used',
       type: 'boolean',
       value: true)
option('jpeg',
       description: 'Enable JPEG loader (requires libjpeg), disabled on Windows if "native_windows_loaders" is used',
       type: 'boolean',
       value: true)
option('jasper',
       description: 'Enable JPEG2000 loader (requires libjasper)',
       type: 'boolean',
       value: false)
option('x11',
       description: 'Enable X11 support (requires libX11)',
       type: 'boolean',
       value: true)
option('builtin_loaders',
       description: 'Comma-separated list of loaders to build into gdk-pixbuf, or "none", or "all" to build all buildable loaders into gdk-pixbuf',
       type: 'string',
       value: 'none')
option('docs',
       description: 'Whether to generate the API reference (requires GTK-Doc)',
       type: 'boolean',
       value: false)
option('gir',
       description: 'Whether to generate the API introspection data (requires GObject-Introspection)',
       type: 'boolean',
       value: true)
option('man',
       description: 'Whether to generate man pages (requires xlstproc)',
       type: 'boolean',
       value: true)
option('relocatable',
       description: 'Whether to enable application bundle relocation support',
       type: 'boolean',
       value: false)
option('native_windows_loaders',
       description: 'Use Windows system components to handle BMP, EMF, GIF, ICO, JPEG, TIFF and WMF images, overriding jpeg and tiff.  To build this into gdk-pixbuf, pass in windows" with the other loaders to build in or use "all" with the builtin_loaders option',
       type: 'boolean',
       value: false)
option('installed_tests',
       description: 'Install the test suite',
       type: 'boolean',
       value: true)
option('gio_sniffing',
       description: 'Perform file type detection using GIO (Unused on MacOS and Windows)',
       type: 'boolean',
       value: true)

## gdk-pixbuf 2.22.0

=== debian/changelog ===
gdk-pixbuf (2.22.0-0ubuntu1~unity2d2) lucid; urgency=low

  * debian/libgdk-pixbuf2.0-dev.install:
    - Re-add .la files. Although Ubuntu does not (LP: #665768), it turns
      out that Debian does: (Closes: #607000). We have packages that still need
      the .la files (network-manager-applet), so let's go with Debian.

 -- Alex Chiang <achiang@canonical.com>  Thu, 03 Mar 2011 21:04:40 -0700

gdk-pixbuf (2.22.0-0ubuntu1~unity2d1) lucid; urgency=low

  * Backport from Maverick; version required for gtk+2.0-2.22.0

 -- Alex Chiang <achiang@canonical.com>  Mon, 07 Feb 2011 14:22:45 -0700

gdk-pixbuf (2.22.0-0ubuntu1) maverick; urgency=low

  * New upstream version
  * debian/patches/01_old_gir.patch:
   - dropped the change since the new upstream version has lowered its 
     requirement

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 27 Sep 2010 12:29:27 +0200

gdk-pixbuf (2.21.7-1ubuntu4) maverick; urgency=low

  * Fix LP: #641056 - Loader chooses 64-bit instead of 32-bit library.
    Update ia32-libs support to try and load a loaders.cache from
    /usr/lib32. Also add support for running a 32-bit gdk-pixbuf-query-loaders
    on a 64-bit system, to allow ia32-libs to correctly create a loaders.cache
    - update debian/patches/041_ia32-libs.patch

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 23 Sep 2010 15:37:47 +0100

gdk-pixbuf (2.21.7-1ubuntu3) maverick; urgency=low

  * The autoreconf run breaks, update by hand rather

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 13 Sep 2010 23:28:20 +0200

gdk-pixbuf (2.21.7-1ubuntu2) maverick; urgency=low

  * debian/control.in: build-depends on autopoint as well

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 13 Sep 2010 22:39:29 +0200

gdk-pixbuf (2.21.7-1ubuntu1) maverick; urgency=low

  * New version update.
  * debian/patches/01_old_gir.patch:
    - don't require the new gobject-introspection yet
  * debian/control.in, debian/rules: 
    - use dh-autoreconf due to the previous change

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 13 Sep 2010 18:53:32 +0200

gdk-pixbuf (2.21.7-1) experimental; urgency=low

  * New upstream development release:
    + debian/patches/041_ia32-libs.patch:
      - Refreshed.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 10 Sep 2010 15:41:43 +0200

gdk-pixbuf (2.21.6-2) experimental; urgency=low

  * debian/control.in:
    + Add Breaks for libwmf0.2-7 (<< 0.2.8.4-7) and librsvg2-2 (<< 2.26.3-2)
      because of the new location for the pixbuf loaders.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 23 Jul 2010 07:49:08 +0200

gdk-pixbuf (2.21.6-1) experimental; urgency=low

  [ Robert Ancell ]
  * Initial release

  [ Sebastian Dröge ]
  * debian/control.in:
    + Fix GTK+2.0 replaces/conflicts versions to << 2.21.3.
    + Rename packages to include the 2.0 API version.
  * debian/rules,
    debian/libgdk-pixbuf2.0-0.symbols:
    + Add symbols file and pass correct parameters to dh_makeshlibs.
  * debian/copyright:
    + Update with all copyright holders.
  * debian/control.in,
    debian/rules,
    debian/libgdk-pixbuf2.0-0-udeb.install:
    + Add udeb package.
  * debian/rules:
    + Enable libjasper JPEG2000 loader.
  * debian/rules:
    + Generate loader files for the udeb.
  * debian/libgdk-pixbuf2.0-0.triggers,
    debian/libgdk-pixbuf2.0-0.postinst,
    debian/libgdk-pixbuf2.0-0.postrm:
    + Use triggers for the pixbuf loaders.
  * debian/libgdk-pixbuf2.0-0.install,
    debian/libgdk-pixbuf2.0-dev.links:
    + Put gdk-pixbuf-query-loaders into a versioned directory
      and put a link to it for /usr/bin into the -dev package.
    + Move manpage into the -dev package too.
  * debian/control.in,
    + Add libx11-dev and libglib2.0-dev to the -dev package dependencies.
    + Build depend on libx11-dev.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 22 Jul 2010 17:20:30 +0200

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: gdk-pixbuf
Section: libs
Priority: optional
Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Sebastian Dröge <slomo@debian.org>
Build-Depends: cdbs (>= 0.4.41),
               debhelper (>= 7),
               autotools-dev,
               gnome-pkg-tools (>= 0.10),
               libglib2.0-dev (>= 2.25.9),
               libx11-dev,
               libpng12-dev,
               libjpeg62-dev,
               libjasper-dev,
               libtiff4-dev,
               gobject-introspection (>= 0.9.0),
               libgirepository1.0-dev,
               gir1.0-glib-2.0
Standards-Version: 3.9.0
Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/gdk-pixbuf/ubuntu
Homepage: http://www.gtk.org/

Package: libgdk-pixbuf2.0-0
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Conflicts: libgtk2.0-0 (<< 2.21.3), libgtk2.0-bin (<< 2.21.3)
Replaces: libgtk2.0-0 (<< 2.21.3), libgtk2.0-bin (<< 2.21.3)
Breaks: libwmf0.2-7 (<< 0.2.8.4-7), librsvg2-2 (<< 2.26.3-2)
Description: GDK Pixbuf library
 The Gdk Pixbuf library provides:
  - Image loading and saving facilities.
  - Fast scaling and compositing of pixbufs.
  - Simple animation loading (ie. animated GIFs)

Package: libgdk-pixbuf2.0-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libgdk-pixbuf2.0-0 (= ${binary:Version}),
         libglib2.0-dev,
         libx11-dev
Conflicts: libgtk2.0-dev (<< 2.21.3), libgtk2.0-bin (<< 2.21.3)
Replaces: libgtk2.0-dev (<< 2.21.3), libgtk2.0-bin (<< 2.21.3)
Description: GDK Pixbuf library (development files)
 The Gdk Pixbuf library provides:
  - Image loading and saving facilities.
  - Fast scaling and compositing of pixbufs.
  - Simple animation loading (ie. animated GIFs)
 .
 This package contains the header files which are needed for using GDK Pixbuf.

Package: libgdk-pixbuf2.0-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Conflicts: libgtk2.0-doc (<< 2.21.3)
Replaces: libgtk2.0-doc (<< 2.21.3)
Description: GDK Pixbuf library (documentation)
 The Gdk Pixbuf library provides:
  - Image loading and saving facilities.
  - Fast scaling and compositing of pixbufs.
  - Simple animation loading (ie. animated GIFs)
 .
 This package contains the HTML documentation for the GDK Pixbuf library
 in /usr/share/doc/libgtk2.0-doc/ .

Package: libgdk-pixbuf2.0-0-udeb
XC-Package-Type: udeb
Section: debian-installer
Priority: extra
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: GDK Pixbuf library - minimal runtime
 This is a udeb, or a microdeb, for the debian-installer.
 .
 The Gdk Pixbuf library provides:
  - Image loading and saving facilities.
  - Fast scaling and compositing of pixbufs.
  - Simple animation loading (ie. animated GIFs)
 .
 This package contains the minimal runtime library needed by
 the Debian installer.

Package: gir1.0-gdkpixbuf-2.0
Architecture: any
Depends: ${gir:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: gir1.0-gtk-2.0 (<< 2.21.3)
Description: GDK Pixbuf library - GObject-Introspection
 The Gdk Pixbuf library provides:
  - Image loading and saving facilities.
  - Fast scaling and compositing of pixbufs.
  - Simple animation loading (ie. animated GIFs)
 .
 It can be used by packages using the GIRepository format to generate 
 dynamic bindings.

=== debian/rules ===
#!/usr/bin/make -f 
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
include /usr/share/cdbs/1/rules/clean-la.mk

DEB_CONFIGURE_EXTRA_FLAGS := --with-libjasper
DEB_DH_MAKESHLIBS_ARGS_libgdk-pixbuf2.0-0 += --add-udeb=libgdk-pixbuf2.0-0-udeb -X "/usr/lib/gdk-pixbuf-2.0" -V "libgdk-pixbuf2.0-0 (>= 2.21.6)" -- -c4

common-binary-fixup-arch::
	mkdir -p debian/libgdk-pixbuf2.0-0-udeb/usr/lib/gdk-pixbuf-2.0/2.10.0
	LD_LIBRARY_PATH=debian/libgdk-pixbuf2.0-0-udeb/usr/lib:$(LD_LIBRARY_PATH) \
		debian/libgdk-pixbuf2.0-0/usr/lib/gdk-pixbuf-2.0/gdk-pixbuf-query-loaders \
		debian/libgdk-pixbuf2.0-0-udeb/usr/lib/gdk-pixbuf-2.0/2.10.0/loaders/*.so \
		| sed 's;$(CURDIR)/debian/libgdk-pixbuf2.0-0-udeb;;g' \
		> debian/libgdk-pixbuf2.0-0-udeb/usr/lib/gdk-pixbuf-2.0/2.10.0/loaders.cache
		
binary-predeb/gir1.0-gdkpixbuf-2.0::
	dh_girepository -pgir1.0-gdkpixbuf-2.0

=== debian/watch ===
version=2
http://download.gnome.org/sources/gdk-pixbuf/([\d\.]+)\d/ \
	gdk-pixbuf\+-(.*)\.tar\.gz

## gdk-pixbuf 2.23.3

=== debian/changelog ===
gdk-pixbuf (2.23.3-0ubuntu1) natty; urgency=low

  * New upstream release

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 05 Apr 2011 10:14:08 +1000

gdk-pixbuf (2.23.1-0ubuntu2) natty; urgency=low

  * Reapply dropped 2.23.0-1ubuntu3 changes.
  * debian/control.in: Add Vcs-Bzr.
  * Drop 065_gir_set_packages.patch, applied upstream.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 08 Mar 2011 11:26:41 +0100

gdk-pixbuf (2.23.1-0ubuntu1) natty; urgency=low

  * New upstream release
  * debian/control:
    - Bump build-depends on libglib2.0-dev

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 08 Mar 2011 15:32:48 +1100

gdk-pixbuf (2.23.0-1ubuntu3) natty; urgency=low

  * Replace 065_gir_set_packages.patch with upstream commit 9671e0f9. This
    uses the correct EXPORT_PACKAGES instead of the wrong PACKAGES (which
    introduces a build dependency on itself, causing an FTBFS), and
    additionally sets a C include field.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 22 Feb 2011 16:30:07 +0100

gdk-pixbuf (2.23.0-1ubuntu2) natty; urgency=low

  * debian/libgdk-pixbuf2.0-0.postinst:
    - use LDCONFIG_NOTRIGGER=y, some of the librairies needed to update the
      loaders list might not be configured yet, that should fix the case where
      the svg loader is missing after the initial installation (lp: #719861)

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 16 Feb 2011 18:59:17 +0100

gdk-pixbuf (2.23.0-1ubuntu1) natty; urgency=low

  * Merge with Debian experimental. Remaining Ubuntu changes:
    - 065_gir_set_packages.patch: Add _gir_PACKAGES for each gir created, to
      match gir to pkg which is needed by vapigen-0.12. (by Ken VanDine)
    - debian/rules: Use autoreconf.mk.
    - debian/control.in: Add dh-autoreconf and autopoint b-deps.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 03 Jan 2011 11:36:07 +0100

gdk-pixbuf (2.23.0-1) experimental; urgency=low

  * New upstream development release.
    - debian/libgdk-pixbuf2.0-0.symbols:
      + Updated.
  * debian/rules:
    - Blindly bump the shlibs version. We've got a symbols file anyway and
      updating the version is error prone.
    - Run the test suite during the build.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Fri, 24 Dec 2010 20:10:44 +0000

gdk-pixbuf (2.22.1-4) experimental; urgency=low

  * Update to the new gir policy:
    - Rename gir1.0-gdkpixbuf-2.0 to gir1.2-gdkpixbuf-2.0.
    - Bump the gobject-introspection build dependency.
    - Build depend on gir1.2 packages.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 11 Dec 2010 19:24:49 +0100

gdk-pixbuf (2.22.1-3) experimental; urgency=low

  * debian/control.in:
    - Add Replaces: gir-repository-dev for
      libgdk-pixbuf2.0-dev package (Closes: #605734)
    - Use Breaks instead of Conflicts when required

 -- Laurent Bigonville <bigon@debian.org>  Sun, 05 Dec 2010 19:04:56 +0100

gdk-pixbuf (2.22.1-2) experimental; urgency=low

  * debian/watch: Fix URL pattern

 -- Laurent Bigonville <bigon@debian.org>  Tue, 23 Nov 2010 20:36:29 +0100

gdk-pixbuf (2.22.1-1) experimental; urgency=low

  [ Emilio Pozuelo Monfort ]
  * Add a gir package, based on the Ubuntu changes.

  [ Laurent Bigonville ]
  * New upstream stable release.
    - Bump build-dependencies
  * debian/control.in:
    - Bump Standards-Version to 3.9.1 (no further changes)
    - Use Debian GNOME Maintainers team as Maintainer
    - Add Vcs-Svn and Vcs-Browser fields
    - Add dependency against libpng12-dev on libgdk-pixbuf2.0-dev package
      (as required by the .pc file)
  * debian/rules: Pass --enable-introspection to configure
  * debian/libgdk-pixbuf2.0-dev.install: Install .gir file

 -- Laurent Bigonville <bigon@debian.org>  Mon, 22 Nov 2010 19:14:29 +0100

gdk-pixbuf (2.22.0-1) experimental; urgency=low

  * New upstream stable release.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 21 Sep 2010 20:49:40 +0200

=== debian/control ===
--- 
+++ 
@@ -6,32 +6,37 @@
 Source: gdk-pixbuf
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Sebastian Dröge <slomo@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: cdbs (>= 0.4.41),
                debhelper (>= 7),
                autotools-dev,
+               dh-autoreconf,
+               autopoint,
                gnome-pkg-tools (>= 0.10),
-               libglib2.0-dev (>= 2.25.9),
+               libglib2.0-dev (>= 2.27.2),
                libx11-dev,
                libpng12-dev,
                libjpeg62-dev,
                libjasper-dev,
                libtiff4-dev,
-               gobject-introspection (>= 0.9.0),
-               libgirepository1.0-dev,
-               gir1.0-glib-2.0
-Standards-Version: 3.9.0
-Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/gdk-pixbuf/ubuntu
+               gobject-introspection (>= 0.9.12-4~),
+               libgirepository1.0-dev (>= 0.9.3),
+               gir1.2-glib-2.0
+Standards-Version: 3.9.1
 Homepage: http://www.gtk.org/
+Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-desktop/gdk-pixbuf/ubuntu/
 
 Package: libgdk-pixbuf2.0-0
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends}
-Conflicts: libgtk2.0-0 (<< 2.21.3), libgtk2.0-bin (<< 2.21.3)
+Breaks: libgtk2.0-0 (<< 2.21.3),
+        libgtk2.0-bin (<< 2.21.3),
+        libwmf0.2-7 (<< 0.2.8.4-7),
+        librsvg2-2 (<< 2.26.3-2)
 Replaces: libgtk2.0-0 (<< 2.21.3), libgtk2.0-bin (<< 2.21.3)
-Breaks: libwmf0.2-7 (<< 0.2.8.4-7), librsvg2-2 (<< 2.26.3-2)
 Description: GDK Pixbuf library
  The Gdk Pixbuf library provides:
   - Image loading and saving facilities.
@@ -45,9 +50,10 @@
          ${shlibs:Depends},
          libgdk-pixbuf2.0-0 (= ${binary:Version}),
          libglib2.0-dev,
-         libx11-dev
-Conflicts: libgtk2.0-dev (<< 2.21.3), libgtk2.0-bin (<< 2.21.3)
-Replaces: libgtk2.0-dev (<< 2.21.3), libgtk2.0-bin (<< 2.21.3)
+         libx11-dev,
+         libpng12-dev
+Breaks: libgtk2.0-dev (<< 2.21.3)
+Replaces: libgtk2.0-dev (<< 2.21.3), gir-repository-dev
 Description: GDK Pixbuf library (development files)
  The Gdk Pixbuf library provides:
   - Image loading and saving facilities.
@@ -60,7 +66,7 @@
 Section: doc
 Architecture: all
 Depends: ${misc:Depends}
-Conflicts: libgtk2.0-doc (<< 2.21.3)
+Breaks: libgtk2.0-doc (<< 2.21.3)
 Replaces: libgtk2.0-doc (<< 2.21.3)
 Description: GDK Pixbuf library (documentation)
  The Gdk Pixbuf library provides:
@@ -89,12 +95,13 @@
  This package contains the minimal runtime library needed by
  the Debian installer.
 
-Package: gir1.0-gdkpixbuf-2.0
+Package: gir1.2-gdkpixbuf-2.0
 Architecture: any
 Depends: ${gir:Depends},
          ${misc:Depends},
          ${shlibs:Depends}
 Replaces: gir1.0-gtk-2.0 (<< 2.21.3)
+Conflicts: gir1.0-gdkpixbuf-2.0
 Description: GDK Pixbuf library - GObject-Introspection
  The Gdk Pixbuf library provides:
   - Image loading and saving facilities.
@@ -103,4 +110,3 @@
  .
  It can be used by packages using the GIRepository format to generate 
  dynamic bindings.
-

=== debian/rules ===
#!/usr/bin/make -f 
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
include /usr/share/cdbs/1/rules/autoreconf.mk

DEB_MAKE_CHECK_TARGET = check
DEB_CONFIGURE_EXTRA_FLAGS := --with-libjasper --enable-introspection
DEB_DH_MAKESHLIBS_ARGS_libgdk-pixbuf2.0-0 += --add-udeb=libgdk-pixbuf2.0-0-udeb -X "/usr/lib/gdk-pixbuf-2.0" -V -- -c4

common-binary-fixup-arch::
	mkdir -p debian/libgdk-pixbuf2.0-0-udeb/usr/lib/gdk-pixbuf-2.0/2.10.0
	LD_LIBRARY_PATH=debian/libgdk-pixbuf2.0-0-udeb/usr/lib:$(LD_LIBRARY_PATH) \
		debian/libgdk-pixbuf2.0-0/usr/lib/gdk-pixbuf-2.0/gdk-pixbuf-query-loaders \
		debian/libgdk-pixbuf2.0-0-udeb/usr/lib/gdk-pixbuf-2.0/2.10.0/loaders/*.so \
		| sed 's;$(CURDIR)/debian/libgdk-pixbuf2.0-0-udeb;;g' \
		> debian/libgdk-pixbuf2.0-0-udeb/usr/lib/gdk-pixbuf-2.0/2.10.0/loaders.cache

$(patsubst %,binary-predeb/%,$(DEB_ALL_PACKAGES)) ::
	dh_girepository -p$(cdbs_curpkg)

=== debian/watch ===
version=3
http://download.gnome.org/sources/gdk-pixbuf/([\d\.]+)/ \
	gdk-pixbuf\-(.*)\.tar\.gz

## gdk-pixbuf 2.24.0

=== debian/changelog ===
gdk-pixbuf (2.24.0-2) unstable; urgency=low

  [ Michael Biebl ]
  * debian/watch:
    - Switch to .xz tarballs.

  [ Josselin Mouette ]
  * Split locales in a separate package for multiarch: 
    libgdk-pixbuf2.0-common. Make it m-a: foreign.

  [ Michael Biebl ]
  * Change section of gir1.2-gdkpixbuf-2.0 to introspection.

 -- Michael Biebl <biebl@debian.org>  Wed, 14 Dec 2011 22:12:21 +0100

gdk-pixbuf (2.24.0-1) unstable; urgency=low

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Fri, 02 Sep 2011 12:05:31 +0200

gdk-pixbuf (2.23.5-3) unstable; urgency=low

  * debian/rules:
    - Trap errors in for loop using 'set -e'.
  * debian/libgdk-pixbuf2.0-0.postinst.in:
    - Don't hide error messages from gdk-pixbuf-query-loaders.
    - Handle more gracefully the case where the non-multiarch loaders
      directory is empty or doesn't exist.

 -- Michael Biebl <biebl@debian.org>  Thu, 28 Jul 2011 18:18:06 +0200

gdk-pixbuf (2.23.5-2) unstable; urgency=low

  [ Steve Langasek ]
  * Multiarch support. (Closes: #632354)

  [ Michael Biebl ]
  * debian/libgdk-pixbuf2.0-dev.install:
    - Don't ship libtool .la file as this breaks multiarch.
  * debian/control.in:
    - Change Build-Depends on libjpeg62-dev to libjpeg-dev in preparation of
      the libjpeg8 transition. (Closes: #633940)

 -- Michael Biebl <biebl@debian.org>  Sat, 16 Jul 2011 01:25:32 +0200

gdk-pixbuf (2.23.5-1) unstable; urgency=low

  * New upstream release.
  * debian/watch: Switch to .bz2 tarballs.
  * Refresh debian/patches/041_ia32-libs.patch.
  * Bump Standards-Version to 3.9.2. No further changes.
  * Bump debhelper compatiblility level to 8.
    - Update Build-Depends on debhelper.
    - Strip debian/tmp/ from .install files.

 -- Michael Biebl <biebl@debian.org>  Sat, 02 Jul 2011 00:45:36 +0200

gdk-pixbuf (2.23.3-3.1) unstable; urgency=high

  * Non-maintainer upload by the Security Team.
  * Fix improper check of gif_main_loop() resulting in DoS conditions
    on specially crafted GIF images (CVE-2011-2485; Closes: #631524)

 -- Nico Golde <nion@debian.org>  Tue, 28 Jun 2011 21:59:16 +0200

gdk-pixbuf (2.23.3-3) unstable; urgency=low

  * Move the mime.cache generation from gtk+ udebs to this one, since 
    this file is actually needed for gdk_pixbuf.
  * Add related build-dependencies on shared-mime-info and xsltproc.

 -- Josselin Mouette <joss@debian.org>  Sun, 10 Apr 2011 18:04:19 +0200

gdk-pixbuf (2.23.3-2) unstable; urgency=low

  * Upload to unstable.

 -- Josselin Mouette <joss@debian.org>  Sun, 10 Apr 2011 15:27:42 +0200

gdk-pixbuf (2.23.3-1) experimental; urgency=low

  [ Laurent Bigonville ]
  * New Upstream release
    - Bump libglib2.0-dev build-dependency
  * Make libgdk-pixbuf2.0-dev Breaks/Replaces libgtk2.0-bin (<< 2.21.3)
    (Closes: #612580)
  * debian/control.in, debian/rules: Rely on cdbs to call dh_girepository

  [ Josselin Mouette ]
  * Make the -dev package depend on the gir package.
  * Add missing Replaces on gir1.2-gtk-2.0. Closes: #620572.

 -- Laurent Bigonville <bigon@debian.org>  Tue, 05 Apr 2011 11:21:38 +0200

gdk-pixbuf (2.23.0-2) experimental; urgency=low

  * Re-add .la files, too much other packages are still referencing it.
    (Closes: #607000, LP: #665768)

 -- Laurent Bigonville <bigon@debian.org>  Tue, 04 Jan 2011 20:54:56 +0100

=== debian/control ===
--- 
+++ 
@@ -6,42 +6,56 @@
 Source: gdk-pixbuf
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Laurent Bigonville <bigon@debian.org>
-Build-Depends: cdbs (>= 0.4.41),
-               debhelper (>= 7),
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Josselin Mouette <joss@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
+Build-Depends: cdbs (>= 0.4.93),
+               debhelper (>= 8.1.3),
                autotools-dev,
-               dh-autoreconf,
-               autopoint,
                gnome-pkg-tools (>= 0.10),
                libglib2.0-dev (>= 2.27.2),
                libx11-dev,
                libpng12-dev,
-               libjpeg62-dev,
+               libjpeg-dev,
                libjasper-dev,
                libtiff4-dev,
                gobject-introspection (>= 0.9.12-4~),
                libgirepository1.0-dev (>= 0.9.3),
-               gir1.2-glib-2.0
-Standards-Version: 3.9.1
+               gir1.2-glib-2.0,
+               xsltproc,
+               shared-mime-info
+Standards-Version: 3.9.2
 Homepage: http://www.gtk.org/
-Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-desktop/gdk-pixbuf/ubuntu/
+Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/desktop/unstable/gdk-pixbuf/
+Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gnome/desktop/unstable/gdk-pixbuf/
 
 Package: libgdk-pixbuf2.0-0
 Architecture: any
 Depends: ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
+         libgdk-pixbuf2.0-common (= ${source:Version})
 Breaks: libgtk2.0-0 (<< 2.21.3),
         libgtk2.0-bin (<< 2.21.3),
         libwmf0.2-7 (<< 0.2.8.4-7),
         librsvg2-2 (<< 2.26.3-2)
-Replaces: libgtk2.0-0 (<< 2.21.3), libgtk2.0-bin (<< 2.21.3)
+Replaces: libgtk2.0-0 (<< 2.21.3),
+          libgtk2.0-bin (<< 2.21.3)
+Pre-Depends: ${misc:Pre-Depends}
+Multi-Arch: same
 Description: GDK Pixbuf library
  The Gdk Pixbuf library provides:
   - Image loading and saving facilities.
   - Fast scaling and compositing of pixbufs.
   - Simple animation loading (ie. animated GIFs)
+
+Package: libgdk-pixbuf2.0-common
+Architecture: all
+Depends: ${misc:Depends}
+Breaks: libgdk-pixbuf2.0-0 (<< 2.24.0-2)
+Replaces: libgdk-pixbuf2.0-0 (<< 2.24.0-2)
+Multi-Arch: foreign
+Description: GDK Pixbuf library - data files
+ This package contains the common files and translations for the Gdk
+ Pixbuf library.
 
 Package: libgdk-pixbuf2.0-dev
 Section: libdevel
@@ -49,11 +63,15 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          libgdk-pixbuf2.0-0 (= ${binary:Version}),
+         gir1.2-gdkpixbuf-2.0 (= ${binary:Version}),
          libglib2.0-dev,
          libx11-dev,
          libpng12-dev
-Breaks: libgtk2.0-dev (<< 2.21.3)
-Replaces: libgtk2.0-dev (<< 2.21.3), gir-repository-dev
+Breaks: libgtk2.0-dev (<< 2.21.3),
+        libgtk2.0-bin (<< 2.21.3)
+Replaces: libgtk2.0-dev (<< 2.21.3),
+          libgtk2.0-bin (<< 2.21.3),
+          gir-repository-dev
 Description: GDK Pixbuf library (development files)
  The Gdk Pixbuf library provides:
   - Image loading and saving facilities.
@@ -96,11 +114,13 @@
  the Debian installer.
 
 Package: gir1.2-gdkpixbuf-2.0
+Section: introspection
 Architecture: any
 Depends: ${gir:Depends},
          ${misc:Depends},
          ${shlibs:Depends}
-Replaces: gir1.0-gtk-2.0 (<< 2.21.3)
+Replaces: gir1.0-gtk-2.0 (<< 2.21.3),
+          gir1.2-gtk-2.0 (<< 2.21.3)
 Conflicts: gir1.0-gdkpixbuf-2.0
 Description: GDK Pixbuf library - GObject-Introspection
  The Gdk Pixbuf library provides:
@@ -108,5 +128,5 @@
   - Fast scaling and compositing of pixbufs.
   - Simple animation loading (ie. animated GIFs)
  .
- It can be used by packages using the GIRepository format to generate 
+ It can be used by packages using the GIRepository format to generate
  dynamic bindings.

=== debian/rules ===
#!/usr/bin/make -f 
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

DEB_MAKE_CHECK_TARGET = check
DEB_CONFIGURE_EXTRA_FLAGS := --with-libjasper --enable-introspection \
	--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)

DEB_DH_MAKESHLIBS_ARGS_libgdk-pixbuf2.0-0 += --add-udeb=libgdk-pixbuf2.0-0-udeb -X "/usr/lib/$(DEB_HOST_MULTIARCH)/gdk-pixbuf-2.0" -V -- -c4

common-binary-fixup-arch::
	mkdir -p debian/libgdk-pixbuf2.0-0-udeb/usr/lib/$(DEB_HOST_MULTIARCH)/gdk-pixbuf-2.0/2.10.0
	LD_LIBRARY_PATH=debian/libgdk-pixbuf2.0-0-udeb/usr/lib:$(LD_LIBRARY_PATH) \
		debian/libgdk-pixbuf2.0-0/usr/lib/$(DEB_HOST_MULTIARCH)/gdk-pixbuf-2.0/gdk-pixbuf-query-loaders \
		debian/libgdk-pixbuf2.0-0-udeb/usr/lib/$(DEB_HOST_MULTIARCH)/gdk-pixbuf-2.0/2.10.0/loaders/*.so \
		| sed 's;$(CURDIR)/debian/libgdk-pixbuf2.0-0-udeb;;g' \
		> debian/libgdk-pixbuf2.0-0-udeb/usr/lib/$(DEB_HOST_MULTIARCH)/gdk-pixbuf-2.0/2.10.0/loaders.cache

binary-install/libgdk-pixbuf2.0-0::
	set -e; for script in postinst postrm; do \
		sed -e"s/#MULTIARCH#/$(DEB_HOST_MULTIARCH)/g" \
		    debian/$(cdbs_curpkg).$$script.in \
		    > debian/$(cdbs_curpkg).$$script ; \
	done

common-install-arch::
	set -e; for file in libgdk-pixbuf2.0-0.install libgdk-pixbuf2.0-dev.links \
		libgdk-pixbuf2.0-0.triggers; \
	do \
		sed -e"s,\$${DEB_HOST_MULTIARCH},${DEB_HOST_MULTIARCH},g" \
			debian/$${file}.in > debian/$$file; \
	done

# temporary directory for the minimal MIME cache generation
mimedir = debian/build-mime
mimexml = /usr/share/mime/packages/freedesktop.org.xml

clean::
	rm -rf $(mimedir)

binary-install/libgdk-pixbuf2.0-0-udeb::
	# generate a minimal MIME cache for the udeb
	mkdir -p $(mimedir)/packages
	[ -f $(mimexml) ]
	xsltproc -nonet debian/keep-png-only.xsl $(mimexml) \
		> $(mimedir)/packages/png.freedesktop.org.xml
	update-mime-database $(mimedir)
	dh_install -plibgdk-pixbuf2.0-0-udeb $(mimedir)/mime.cache usr/share/mime

## gdk-pixbuf 2.24.1

=== debian/changelog ===
gdk-pixbuf (2.24.1-1) unstable; urgency=low

  * New upstream release.
  * Explicitly enable X11 support.
  * Use upper case form of term GDK in package description. (Closes: #622217)

 -- Michael Biebl <biebl@debian.org>  Mon, 06 Feb 2012 04:39:50 +0100

=== debian/control ===
--- 
+++ 
@@ -42,7 +42,7 @@
 Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
 Description: GDK Pixbuf library
- The Gdk Pixbuf library provides:
+ The GDK Pixbuf library provides:
   - Image loading and saving facilities.
   - Fast scaling and compositing of pixbufs.
   - Simple animation loading (ie. animated GIFs)
@@ -54,7 +54,7 @@
 Replaces: libgdk-pixbuf2.0-0 (<< 2.24.0-2)
 Multi-Arch: foreign
 Description: GDK Pixbuf library - data files
- This package contains the common files and translations for the Gdk
+ This package contains the common files and translations for the GDK
  Pixbuf library.
 
 Package: libgdk-pixbuf2.0-dev
@@ -73,7 +73,7 @@
           libgtk2.0-bin (<< 2.21.3),
           gir-repository-dev
 Description: GDK Pixbuf library (development files)
- The Gdk Pixbuf library provides:
+ The GDK Pixbuf library provides:
   - Image loading and saving facilities.
   - Fast scaling and compositing of pixbufs.
   - Simple animation loading (ie. animated GIFs)
@@ -87,7 +87,7 @@
 Breaks: libgtk2.0-doc (<< 2.21.3)
 Replaces: libgtk2.0-doc (<< 2.21.3)
 Description: GDK Pixbuf library (documentation)
- The Gdk Pixbuf library provides:
+ The GDK Pixbuf library provides:
   - Image loading and saving facilities.
   - Fast scaling and compositing of pixbufs.
   - Simple animation loading (ie. animated GIFs)
@@ -105,7 +105,7 @@
 Description: GDK Pixbuf library - minimal runtime
  This is a udeb, or a microdeb, for the debian-installer.
  .
- The Gdk Pixbuf library provides:
+ The GDK Pixbuf library provides:
   - Image loading and saving facilities.
   - Fast scaling and compositing of pixbufs.
   - Simple animation loading (ie. animated GIFs)
@@ -123,7 +123,7 @@
           gir1.2-gtk-2.0 (<< 2.21.3)
 Conflicts: gir1.0-gdkpixbuf-2.0
 Description: GDK Pixbuf library - GObject-Introspection
- The Gdk Pixbuf library provides:
+ The GDK Pixbuf library provides:
   - Image loading and saving facilities.
   - Fast scaling and compositing of pixbufs.
   - Simple animation loading (ie. animated GIFs)

## gdk-pixbuf 2.25.2

=== debian/changelog ===
gdk-pixbuf (2.25.2-1) experimental; urgency=low

  * New upstream development release.
  * debian/libgdk-pixbuf2.0-0.symbols: Add new symbols.
  * debian/libgdk-pixbuf2.0-dev.install: Install gdk-pixbuf-pixdata tool.
  * debian/control.in: Bump Build-Depends on libglib2.0-dev to (>= 2.31.0).

 -- Michael Biebl <biebl@debian.org>  Sun, 04 Mar 2012 07:45:41 +0100

## gdk-pixbuf 2.26.0

=== debian/changelog ===
gdk-pixbuf (2.26.0-1) experimental; urgency=low

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Wed, 21 Mar 2012 01:48:57 +0100

=== debian/control ===
--- 
+++ 
@@ -7,12 +7,12 @@
 Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Josselin Mouette <joss@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
+Uploaders: Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: cdbs (>= 0.4.93),
                debhelper (>= 8.1.3),
                autotools-dev,
                gnome-pkg-tools (>= 0.10),
-               libglib2.0-dev (>= 2.27.2),
+               libglib2.0-dev (>= 2.31.0),
                libx11-dev,
                libpng12-dev,
                libjpeg-dev,

=== debian/rules ===
--- 
+++ 
@@ -6,8 +6,10 @@
 include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
 
 DEB_MAKE_CHECK_TARGET = check
-DEB_CONFIGURE_EXTRA_FLAGS := --with-libjasper --enable-introspection \
-	--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
+DEB_CONFIGURE_EXTRA_FLAGS := --with-libjasper \
+                             --with-x11 \
+                             --enable-introspection \
+                             --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
 
 DEB_DH_MAKESHLIBS_ARGS_libgdk-pixbuf2.0-0 += --add-udeb=libgdk-pixbuf2.0-0-udeb -X "/usr/lib/$(DEB_HOST_MULTIARCH)/gdk-pixbuf-2.0" -V -- -c4

## gdk-pixbuf 2.26.1

=== debian/changelog ===
gdk-pixbuf (2.26.1-1ubuntu1.5) precise-security; urgency=medium

  * SECURITY UPDATE: Fix a heap-based buffer overflow
    - debian/patches/CVE-2015-7552.patch: Protect against overflow. Based on
      upstream patches.
    - CVE-2015-7552
  * SECURITY UPDATE: Fix multiple integer overflows
    - debian/patches/CVE-2015-8875.patch: use gint64 in more places to avoid
      overflow when shifting
    - CVE-2015-8875

 -- Emily Ratliff <emily.ratliff@canonical.com>  Wed, 21 Sep 2016 10:14:57 -0500

gdk-pixbuf (2.26.1-1ubuntu1.3) precise-security; urgency=medium

  * SECURITY UPDATE: Heap overflow and DoS with tga files
    - debian/patches/CVE-2015-7673-1.patch: pass on OOM conditions in
      make_weights functions in gdk-pixbuf/pixops/pixops.c
    - debian/patches/CVE-2015-7673-2.patch: Wrap TGAColormap struct in
      its own API in gdk-pixbuf/io-tga.c
    - debian/patches/CVE-2015-7673-3.patch: always parse colormaps in
      gdk-pixbuf/io-tga.c
  * SECURITY UPDATE: heap overflow when scaling GIF images
    - debian/patches/CVE-2015-767.patch: ensure variables are large
      enough when shifting bits in gdk-pixbuf/pixops/pixops.c

 -- Steve Beattie <sbeattie@ubuntu.com>  Sat, 10 Oct 2015 07:55:26 -0700

gdk-pixbuf (2.26.1-1ubuntu1.2) precise-security; urgency=medium

  * SECURITY UPDATE: heap overflow when scaling bitmap images
    - debian/patches/CVE-2015-4491-1.patch: check for overflows in
      gdk-pixbuf/pixops/pixops.c.
    - debian/patches/CVE-2015-4491-2.patch: also check n_x in
      gdk-pixbuf/pixops/pixops.c.
    - CVE-2015-4491

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 18 Aug 2015 13:04:11 -0400

gdk-pixbuf (2.26.1-1ubuntu1.1) precise; urgency=medium

  * Link with -Wl,--no-as-needed so that we get linked against libgobject,
    avoiding crashes when modules load and unload newer versions of libgobject
    which have a global constructor. (LP: #1174253)

 -- Iain Lane <iain.lane@canonical.com>  Fri, 21 Mar 2014 18:06:47 +0000

gdk-pixbuf (2.26.1-1) unstable; urgency=low

  * New upstream bug fix release:
    - Fix srcdir != builddir build.
    - Avoid an integer overflow in the xbm loader. (LP: #681150)
    - Translation updates.
  * debian/control.in: Prefer building against libpng-dev over libpng12-dev,
    to be prepared for the libpng 1.5 transition. (Closes: #662344)
  * debian/control.in: Bump Standards-Version to 3.9.3 (no changes necessary).

 -- Martin Pitt <mpitt@debian.org>  Mon, 16 Apr 2012 07:21:41 +0200

gdk-pixbuf (2.26.0-2) unstable; urgency=low

  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Fri, 30 Mar 2012 09:01:26 +0200

=== debian/control ===
--- 
+++ 
@@ -6,15 +6,16 @@
 Source: gdk-pixbuf
 Section: libs
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: cdbs (>= 0.4.93),
                debhelper (>= 8.1.3),
                autotools-dev,
                gnome-pkg-tools (>= 0.10),
                libglib2.0-dev (>= 2.31.0),
                libx11-dev,
-               libpng12-dev,
+               libpng-dev | libpng12-dev,
                libjpeg-dev,
                libjasper-dev,
                libtiff4-dev,
@@ -23,7 +24,7 @@
                gir1.2-glib-2.0,
                xsltproc,
                shared-mime-info
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://www.gtk.org/
 Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/desktop/unstable/gdk-pixbuf/
 Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gnome/desktop/unstable/gdk-pixbuf/

=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,8 @@
                              --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
 
 DEB_DH_MAKESHLIBS_ARGS_libgdk-pixbuf2.0-0 += --add-udeb=libgdk-pixbuf2.0-0-udeb -X "/usr/lib/$(DEB_HOST_MULTIARCH)/gdk-pixbuf-2.0" -V -- -c4
+
+LDFLAGS += -Wl,--no-as-needed
 
 common-binary-fixup-arch::
 	mkdir -p debian/libgdk-pixbuf2.0-0-udeb/usr/lib/$(DEB_HOST_MULTIARCH)/gdk-pixbuf-2.0/2.10.0

## gdk-pixbuf 2.26.4

=== debian/changelog ===
gdk-pixbuf (2.26.4-0ubuntu1) quantal; urgency=low

  * New upstream bugfix release

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 18 Sep 2012 17:06:38 +1200

gdk-pixbuf (2.26.3-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 21 Aug 2012 17:32:46 +1200

gdk-pixbuf (2.26.2-0ubuntu1) quantal; urgency=low

  * New upstream version

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 06 Aug 2012 22:01:05 +0200

gdk-pixbuf (2.26.1-1ubuntu1) quantal; urgency=low

  * switch from libtiff4-dev to libtiff5-dev | libtiff-dev

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Tue, 10 Jul 2012 10:48:45 -0500

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,12 @@
 # 
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
-
 Source: gdk-pixbuf
 Section: libs
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Michael Biebl <biebl@debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Martin Pitt <mpitt@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: cdbs (>= 0.4.93),
                debhelper (>= 8.1.3),
                autotools-dev,
@@ -18,7 +17,7 @@
                libpng-dev | libpng12-dev,
                libjpeg-dev,
                libjasper-dev,
-               libtiff4-dev,
+               libtiff5-dev | libtiff-dev,
                gobject-introspection (>= 0.9.12-4~),
                libgirepository1.0-dev (>= 0.9.3),
                gir1.2-glib-2.0,

## gdk-pixbuf 2.26.5

=== debian/changelog ===
gdk-pixbuf (2.26.5-0ubuntu4) raring; urgency=low

  * debian/tests/build:
    - Add -Wall -Werror for being more thorough.
    - Don't call deprecated g_type_init() when building with glib >= 2.35.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 16 Jan 2013 13:44:47 +0100

gdk-pixbuf (2.26.5-0ubuntu3) raring; urgency=low

  * debian/control.in: Fix misplaced XS-Testsuite header.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 13 Dec 2012 13:35:50 +0100

gdk-pixbuf (2.26.5-0ubuntu2) raring; urgency=low

  * Fix regression from 2.26.4: EXIF orientation tag is ignored
    LP: #1077186

 -- Tormod Volden <debian.tormod@gmail.com>  Sat, 17 Nov 2012 11:36:17 +0100

gdk-pixbuf (2.26.5-0ubuntu1) raring; urgency=low

  * New upstream release
  * debian/control:
    - Bump build-depends on libglib2.0-dev

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 13 Nov 2012 09:55:33 +1300

gdk-pixbuf (2.26.4-1ubuntu2) raring; urgency=low

  * Add debian/tests: Simple compile/link/run autopkgtest. (LP: #1073528)

 -- Rafał Cieślak <rafalcieslak256@ubuntu.com>  Wed, 31 Oct 2012 16:39:43 +0100

gdk-pixbuf (2.26.4-1ubuntu1) raring; urgency=low

  * Rebase on Debian experimental, remaining change
    + B-D on libtiff5-dev | libtiff-dev instead of libtiff-dev, as we have
      made this transition ahead of Debian.

 -- Iain Lane <iain.lane@canonical.com>  Wed, 24 Oct 2012 12:42:53 +0100

gdk-pixbuf (2.26.4-1) experimental; urgency=low

  * Team upload
  * New upstream bugfix release

 -- Simon McVittie <smcv@debian.org>  Tue, 23 Oct 2012 16:41:38 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                debhelper (>= 8.1.3),
                autotools-dev,
                gnome-pkg-tools (>= 0.10),
-               libglib2.0-dev (>= 2.31.0),
+               libglib2.0-dev (>= 2.34.0),
                libx11-dev,
                libpng-dev | libpng12-dev,
                libjpeg-dev,
@@ -27,6 +27,7 @@
 Homepage: http://www.gtk.org/
 Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/desktop/unstable/gdk-pixbuf/
 Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gnome/desktop/unstable/gdk-pixbuf/
+XS-Testsuite: autopkgtest
 
 Package: libgdk-pixbuf2.0-0
 Architecture: any

## gdk-pixbuf 2.28.0

=== debian/changelog ===
gdk-pixbuf (2.28.0-0ubuntu1) raring; urgency=low

  * New upstream version
  * debian/patches/git_missing_icons.patch: included in the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 26 Mar 2013 10:36:03 +0100

gdk-pixbuf (2.27.1-1ubuntu1) raring; urgency=low

  * Resynchronize on Debian, remaining change:
  * debian/control.in:
    - B-D on libtiff5-dev | libtiff-dev instead of libtiff-dev, as we 
      have made this transition ahead of Debian.
  * debian/control.in, debian/tests: Simple compile/link/run autopkgtest.
  * debian/patches/git_missing_icons.patch:
    - backport fix from git for missing icons issue

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 25 Feb 2013 15:46:16 +0100

gdk-pixbuf (2.27.1-1) experimental; urgency=low

  * New upstream release.
    + debian/control.in:
      - Update build dependencies.
    + debian/libgdk-pixbuf2.0-0.symbols:
      - Updated for the new symbols.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 23 Feb 2013 19:58:45 +0100

gdk-pixbuf (2.26.4-2) experimental; urgency=low

  * Team upload
  * Add a -dbg package
  * Go to debhelper compat level 9, for compressed symbol files

 -- Simon McVittie <smcv@debian.org>  Wed, 24 Oct 2012 19:37:52 +0100

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,9 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Martin Pitt <mpitt@debian.org>, Michael Biebl <biebl@debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Martin Pitt <mpitt@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: cdbs (>= 0.4.93),
-               debhelper (>= 8.1.3),
+               debhelper (>= 9),
                autotools-dev,
                gnome-pkg-tools (>= 0.10),
                libglib2.0-dev (>= 2.34.0),
@@ -48,6 +48,23 @@
   - Fast scaling and compositing of pixbufs.
   - Simple animation loading (ie. animated GIFs)
 
+Package: libgdk-pixbuf2.0-0-dbg
+Section: debug
+Priority: extra
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${misc:Depends},
+         libgdk-pixbuf2.0-0 (= ${binary:Version})
+Description: GDK Pixbuf library - debug symbols
+ The GDK Pixbuf library provides:
+  - Image loading and saving facilities.
+  - Fast scaling and compositing of pixbufs.
+  - Simple animation loading (ie. animated GIFs)
+ .
+ This package contains debugging symbols used to debug applications that
+ use this library.
+
 Package: libgdk-pixbuf2.0-common
 Architecture: all
 Depends: ${misc:Depends}
@@ -65,7 +82,7 @@
          ${shlibs:Depends},
          libgdk-pixbuf2.0-0 (= ${binary:Version}),
          gir1.2-gdkpixbuf-2.0 (= ${binary:Version}),
-         libglib2.0-dev,
+         libglib2.0-dev (>= 2.34.0),
          libx11-dev,
          libpng12-dev
 Breaks: libgtk2.0-dev (<< 2.21.3),

## gdk-pixbuf 2.28.1

=== debian/changelog ===
gdk-pixbuf (2.28.1-1ubuntu2) saucy; urgency=low

  * debian/patches/git-gicon-serialization-support.patch:
    - Add upstream's GdkPixbuf serialization support.

 -- William Hua <william.hua@canonical.com>  Fri, 17 May 2013 00:11:11 -0400

gdk-pixbuf (2.28.1-1ubuntu1) saucy; urgency=low

  * Resynchronize on Debian, remaining changes:
  * debian/control.in: 
    - B-D on libtiff5-dev | libtiff-dev instead of libtiff-dev, as we 
      have made this transition ahead of Debian.

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 13 May 2013 19:52:09 +0200

gdk-pixbuf (2.28.1-1) unstable; urgency=low

  * New upstream release.
  * Track stable releases again.
  * Drop explicit Build-Depends on gir1.2-glib-2.0.
  * Bump Standards-Version to 3.9.4.
  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Thu, 09 May 2013 02:01:16 +0200

gdk-pixbuf (2.28.0-1) experimental; urgency=low

  * New upstream release.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 26 Mar 2013 13:09:02 +0100

gdk-pixbuf (2.27.3-1) experimental; urgency=low

  * New upstream release.
    + d/p/0001-animation-Allow-prepare_func-call-in-stop_load.patch:
      - Removed, included upstream.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 19 Mar 2013 00:23:11 +0100

gdk-pixbuf (2.27.2-2) experimental; urgency=low

  * d/p/0001-animation-Allow-prepare_func-call-in-stop_load.patch:
    + Backport patch from upstream GIT, fixes a crash with animations.
      Closes: #702780, #702517.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 14 Mar 2013 22:19:36 +0100

gdk-pixbuf (2.27.2-1) experimental; urgency=low

  [ Martin Pitt ]
  * Add debian/tests: Simple compile/link/run autopkgtest. Thanks Rafał
    Cieślak! (LP: #1073528)

  [ Emilio Pozuelo Monfort ]
  * New upstream release.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 02 Mar 2013 18:26:49 +0100
